curl --request POST \
--url https://api.example.com/api/v1/exits/progress \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fee_rate": 1,
"wait": true
}
'{
"done": true,
"exits": [
{
"state": {
"tip_height": 1,
"type": "start"
},
"vtxo_id": "<string>",
"error": {
"error": "<string>",
"txid": "<string>",
"type": "ancestor-retrieval-failure"
}
}
],
"claimable_height": 1
}Triggers all in-progress exits to advance by one step. The daemon already progresses exits automatically in the background—use this endpoint when you want immediate progress rather than waiting for the next automatic cycle. On each call, the endpoint checks whether previously broadcast transactions have confirmed and, if so, creates and broadcasts the next transaction in the sequence. The on-chain wallet must have sufficient bitcoin to cover transaction fees.
curl --request POST \
--url https://api.example.com/api/v1/exits/progress \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fee_rate": 1,
"wait": true
}
'{
"done": true,
"exits": [
{
"state": {
"tip_height": 1,
"type": "start"
},
"vtxo_id": "<string>",
"error": {
"error": "<string>",
"txid": "<string>",
"type": "ancestor-retrieval-failure"
}
}
],
"claimable_height": 1
}Documentation Index
Fetch the complete documentation index at: https://second.tech/docs/llms.txt
Use this file to discover all available pages before exploring further.
Base64url-encoded auth token
Was this page helpful?